WaitFor.Unit (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: WaitFor, class: Unit

Package org.apache.tools.ant.taskdefs

# Class WaitFor.Unit

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.WaitFor.Unit

Enclosing class:
  WaitFor

    public static class WaitFor.Unit
    extends EnumeratedAttribute

The enumeration of units: millisecond, second, minute, hour, day, week

To do:
  we use timestamps in many places, why not factor this out

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `DAY` | day string
  `static java.lang.String` | `HOUR` | hour string
  `static java.lang.String` | `MILLISECOND` | millisecond string
  `static java.lang.String` | `MINUTE` | minute string
  `static java.lang.String` | `SECOND` | second string
  `static java.lang.String` | `WEEK` | week string

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Unit()` | Constructor the Unit enumerated type.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `getMultiplier()` | Convert the value to a multiplier (millisecond to unit).
  `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MILLISECOND

    public static final java.lang.String MILLISECOND
    millisecond string
    See Also:
      Constant Field Values

  - ### SECOND

    public static final java.lang.String SECOND
    second string
    See Also:
      Constant Field Values

  - ### MINUTE

    public static final java.lang.String MINUTE
    minute string
    See Also:
      Constant Field Values

  - ### HOUR

    public static final java.lang.String HOUR
    hour string
    See Also:
      Constant Field Values

  - ### DAY

    public static final java.lang.String DAY
    day string
    See Also:
      Constant Field Values

  - ### WEEK

    public static final java.lang.String WEEK
    week string
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Unit

    public Unit()
    Constructor the Unit enumerated type.

- ## Method Details

  - ### getMultiplier

    public long getMultiplier()
    Convert the value to a multiplier (millisecond to unit).
    Returns:
      a multiplier (a long value)

  - ### getValues

    public java.lang.String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
    See Also:
      `EnumeratedAttribute.getValues()`